/*
 Blink programmed with embedded C on ATTiny44
  Turns one LED on for one tenth of the second, then off for one tenth second,  
  Turns second LED on for one tenth of the second, then off the second one for one tenth secondrepeatedly.

  Written 17 March 2022
  by Kishore Gaikwad
 */

#include <avr/io.h>

#include <util/delay.h>

int main (void)
{
  // helloworld digital pin 13 (pin 5 of PORTB) for output
  DDRB |= 0B0100; // PORTB2
  DDRA |= 0B10000000; // PORTA7

  while(1) {
    // turn LED on
    PORTB |= 0B0100; // PORTB2
    _delay_ms(1000);
   
   // turn LED off
    PORTB &= ~ 0B0100; // PORTB2
    _delay_ms(500);
  
  // turn LED on
    PORTA |= 0B10000000; // PORTA7
    _delay_ms(1000);
    
 // turn LED off
    PORTA &= ~ 0B10000000; // PORTA7
    _delay_ms(500);
  }
}
